classification
Title: Profiling certain invalid calls crashes Python
Type: crash Stage: resolved
Components: Interpreter Core Versions: Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: jdemeyer, serhiy.storchaka, vstinner
Priority: normal Keywords: patch

Created on 2018-07-16 17:17 by jdemeyer, last changed 2018-08-03 20:23 by jdemeyer. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 8300 merged jdemeyer, 2018-07-16 19:02
PR 8371 merged miss-islington, 2018-07-21 08:31
Messages (7)
msg321747 - (view) Author: Jeroen Demeyer (jdemeyer) * Date: 2018-07-16 17:17
>>> import sys; sys.setprofile(lambda *args:None)
>>> dict.get()
Segmentation fault
msg321749 - (view) Author: Jeroen Demeyer (jdemeyer) * Date: 2018-07-16 17:19
Simple patch coming up...
msg321751 - (view) Author: Jeroen Demeyer (jdemeyer) * Date: 2018-07-16 18:30
Also:

    >>> import sys; sys.setprofile(lambda *args: None)
    >>> dict.get([], "foo")
    Segmentation fault
msg322088 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-07-21 08:31
New changeset 56868f940e0cc0b35d33c0070107ff3bed2d8766 by Serhiy Storchaka (jdemeyer) in branch 'master':
bpo-34126: Fix crashes while profiling invalid calls. (GH-8300)
https://github.com/python/cpython/commit/56868f940e0cc0b35d33c0070107ff3bed2d8766
msg322107 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-07-21 16:58
New changeset 7638eb892a50d101fe06342da180f0ab63a0b334 by Serhiy Storchaka (Miss Islington (bot)) in branch '3.7':
bpo-34126: Fix crashes while profiling invalid calls. (GH-8300) (GH-8371)
https://github.com/python/cpython/commit/7638eb892a50d101fe06342da180f0ab63a0b334
msg322108 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-07-21 16:59
Thank you for your contribution Jeroen.
msg322197 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-07-23 11:23
The new test_sys_setprofile.test_unbound_method_invalid_args() test leaks Python references and spotted an old reference leak: bpo-34190.
History
Date User Action Args
2018-08-03 20:23:39jdemeyersetstatus: open -> closed
resolution: fixed
2018-07-23 11:23:50vstinnersetstatus: closed -> open

nosy: + vstinner
messages: + msg322197

resolution: fixed -> (no value)
2018-07-21 16:59:47serhiy.storchakasetstatus: open -> closed
resolution: fixed
messages: + msg322108

stage: patch review -> resolved
2018-07-21 16:58:38serhiy.storchakasetmessages: + msg322107
2018-07-21 08:31:12miss-islingtonsetpull_requests: + pull_request7905
2018-07-21 08:31:02serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg322088
2018-07-16 23:23:59ppperrysettitle: Profiling certain invalid calls crash Python -> Profiling certain invalid calls crashes Python
2018-07-16 19:02:19jdemeyersetkeywords: + patch
stage: patch review
pull_requests: + pull_request7834
2018-07-16 18:46:19ppperrysettype: crash
2018-07-16 18:30:52jdemeyersetmessages: + msg321751
title: Profiling dict.get() crashes Python -> Profiling certain invalid calls crash Python
2018-07-16 17:19:58jdemeyersetmessages: + msg321749
2018-07-16 17:17:10jdemeyercreate